#ifndef __ECLAT_ITEMS_H__
#define __ECLAT_ITEMS_H__

#include <stdlib.h>

#include "htable.h"
#include "dataset.h"

typedef struct
{
    size_t * list;
    size_t n;
    size_t alloc_size;
} tidlist;


/* returns an array of tidlists */
tidlist *
tidlist_new();

void
tidlist_free(tidlist * tl);

void tidlist_append(tidlist * tl, size_t t);

tidlist *
tidlist_intersect(tidlist * t1, tidlist * t2);

tidlist **
make_item_tidlists(dataset * d_gt, dataset * d_lt);

#endif
